Package com.emc.documentum.rest.constant

# Enum Class MediaUrlPolicy

java.lang.Object
java.lang.Enum<MediaUrlPolicy>
com.emc.documentum.rest.constant.MediaUrlPolicy

All Implemented Interfaces:
  `IntegerValue`, `Serializable`, `Comparable<MediaUrlPolicy>`, `Constable`

public enum MediaUrlPolicy extends Enum<MediaUrlPolicy> implements IntegerValue
Enum for media URL policies

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  When REST client chooses this one, all available content-media links are returned, each one pointing to a different content media server.
  `DC_ONLY`
  When REST client chooses this one, REST server MUST returns a distributed content URL (ACS or BOCS, the same logic as DC-PREF); if there is no available ACS/BOCS server, REST server returns HTTP 400 Conflict error.
  `DC_PREF`
  The distributed content URL is preferred;
  When ACS/BOCS is available, a single ACS/BOCS content URL is returned.
  `LOCAL`
  When REST client chooses this one, REST server returns single Content Media Resource URL.
  `REQ_IP_NETWORK_LOCATION`
  When REST client chooses this one, all available content-media links are returned, it includes all available BOCS URLs for a given client-ip address.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  Returns the integer value of the enum constant
  `static MediaUrlPolicy`
  `valueOf(int value)`
  Gets enum constant according to the input enum value
  `static MediaUrlPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MediaUrlPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DC_PREF

    public static final MediaUrlPolicy DC_PREF
    The distributed content URL is preferred;
    - When ACS/BOCS is available, a single ACS/BOCS content URL is returned.
      - when BOCS is available and the network location is specified correctly, the BOCS content URL corresponding to the network location is returned;
      - when BOCS is available but the specified network location is not right or there is no BOCS configured for this network location, the ACS content URL is returned;
      - otherwise when ACS is available, an ACS content URL;
      - when there are multiple ACS URLs available, REST Server will choose the one with most adjacent proximity.
    - when no ACS/BOCS is available, an Content Media Resource URL is returned.

  - ### DC_ONLY

    public static final MediaUrlPolicy DC_ONLY
    When REST client chooses this one, REST server MUST returns a distributed content URL (ACS or BOCS, the same logic as DC-PREF); if there is no available ACS/BOCS server, REST server returns HTTP 400 Conflict error.

  - ### LOCAL

    public static final MediaUrlPolicy LOCAL
    When REST client chooses this one, REST server returns single Content Media Resource URL. In this option, the content media download is from the REST server, so it works even when ACS/BOCS servers are unavailable.

  - ### ALL

    public static final MediaUrlPolicy ALL
    When REST client chooses this one, all available content-media links are returned, each one pointing to a different content media server. It includes all available ACS URLs (considering multiple remote content servers), all available BOCS URLs (considering multiple network locations), and the local Content Media Resource URL.

  - ### REQ_IP_NETWORK_LOCATION

    public static final MediaUrlPolicy REQ_IP_NETWORK_LOCATION
    When REST client chooses this one, all available content-media links are returned, it includes all available BOCS URLs for a given client-ip address.

- ## Method Details

  - ### values

    public static MediaUrlPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MediaUrlPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Description copied from interface: `IntegerValue`
    Returns the integer value of the enum constant
    Specified by:
      `value` in interface `IntegerValue`
    Returns:
      the integer value of the enum constant

  - ### valueOf

    public static MediaUrlPolicy valueOf(int value)
    Gets enum constant according to the input enum value
    Parameters:
      `value` - enum value
    Returns:
      enum constant